<template>
  <div class="container backimage">
    <div class="main ">
      <section>
        <ul>
          <li v-for="tag in toptags" :key="tag.id" >
            <span ><a :href="tag.url" id="tag" target="_blank"><STRONG>{{tag.name}}</STRONG>  | {{tag.count}}</a></span>
          </li>
        </ul>
      </section>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    toptags: Array
  }
};
</script>

<style scoped>
ul {
    list-style: none;
  }
li{
  margin: 5px;
  display: inline-block;
}
a {
  font-size: 14px;
  color: black;
  text-decoration: none;
  padding: 2px 10px 2px 10px;
  border-radius: 25px;
  background-color :#F5F5F590;
}
a:hover {
  font-size: 14px;
  color: black;
  text-decoration: none;
  padding: 2px 10px 2px 10px;
  border-radius: 25px;
  background-color: whitesmoke;
}
/* section {
  padding: 50px 10% 0 10%;

} */
.backimage { 
  height: 1000px;
  background: url(https://images.unsplash.com/photo-1576978264949-aa354035987d?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1350&q=80) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
.container {
  display: grid;
   grid-template-areas: 'n n n n n n n n n n n n'
                        'm m m m m m m m m m m m'
                        'f f f f f f f f f f f f';
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: 140px 12fr 100px;
}
.main {
  grid-area: m;
  text-align: center;
  width: 100%;
}
</style>